Summary:          An adminstration shell for NVMe storage targets
Name:             nvmetcli
Version:          0.7
Release:          7%{?dist}
License:          ASL 2.0
URL:              ftp://ftp.infradead.org/pub/nvmetcli/
Source:           ftp://ftp.infradead.org/pub/nvmetcli/%{name}-%{version}.tar.gz
Patch3000:        0001-nvmetcli-don-t-remove-ANA-Group-1-on-clear.patch
Patch3001:        0002-README-Update-URL-for-configshell-fb.patch
Patch3002:        0003-nvmetcli-Improve-IOError-handling-on-restore.patch
Patch3003:        0004-nvme.py-Explicit-close-is-redundant.patch
Patch3004:        0005-nvme.py-Sync-the-containing-directory.patch
Patch3005:        0006-nvme.py-Make-modprobe-work-for-kmod-lib-too.patch
Patch3006:        0007-test_nvmet.py-test_invalid_input-fails-for-py3.patch
Patch3007:        0008-nvmetcli-Report-save-name-correctly.patch
Patch3008:        0009-nvmetcli-Allow-different-devices-for-make-test.patch
Patch3009:        0010-nvmetcli-Correct-xrange-usage-for-py3.patch
Patch3010:        0011-nvmetcli-add-a-tcp-example-json.patch
Patch3011:        0012-Documentation-fix-typo.patch

BuildArch:        noarch
BuildRequires:    make
BuildRequires:    python3-devel python3-setuptools systemd-units asciidoc xmlto
Requires:         python3-configshell python3-kmod
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
This package contains the command line interface to the NVMe over Fabrics
nvmet in the Linux kernel.  It allows configuring the nvmet interactively
as well as saving / restoring the configuration to / from a json file.

%prep
%autosetup -p1

%build
%{__python3} setup.py build
cd Documentation
make
gzip --stdout nvmetcli.8 > nvmetcli.8.gz

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/nvmet
install -m 644 nvmet.service %{buildroot}%{_unitdir}/nvmet.service
mkdir -p %{buildroot}%{_mandir}/man8/
install -m 644 Documentation/nvmetcli.8.gz %{buildroot}%{_mandir}/man8/

%post
%systemd_post nvmet.service

%preun
%systemd_preun nvmet.service

%postun
%systemd_postun_with_restart nvmet.service

%files
%doc README
%license COPYING
%{_sbindir}/nvmetcli
%{_unitdir}/nvmet.service
%{python3_sitelib}/*
%dir %{_sysconfdir}/nvmet
%{_mandir}/man8/nvmetcli.8.gz

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.7-1
- package init.
